<?php

namespace Drcsystems\DrcSlickCarousel\ViewHelpers;

class AddJsFooterInlineCodeViewHelper extends \TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper
{
    /**
     *
     * @var \TYPO3\CMS\Core\Page\PageRenderer
     */
    protected $pageRenderer;

    /**
     *
     * @param \TYPO3\CMS\Core\Page\PageRenderer $pageRenderer
     */
    public function injectPageRenderer(\TYPO3\CMS\Core\Page\PageRenderer $pageRenderer)
    {
        $this->pageRenderer = $pageRenderer;
    }

    /**
     *
     * @param string $name
     * @param string $compress
     * @param string $renderOnTop
     * @param string $excludeFromConcatenation
     * @return NULL
     */
    public function render($name, $compress = FALSE, $renderOnTop = FALSE, $excludeFromConcatenation = TRUE)
    {
        $block = $this->renderChildren();
        $pageRenderer = $this->getPageRenderer();

        $pageRenderer->addJsFooterFile(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::siteRelPath(drc_slick_carousel) . 'Resources/Public/js/drc_custom_slick.js', '', $compress, '', '', $excludeFromConcatenation);

        $this->pageRenderer->addJsFooterInlineCode($name, $block, $compress, $renderOnTop);
        return NULL;
    }

    /**
     * @return PageRenderer
     */
    private function getPageRenderer()
    {
        return \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance('TYPO3\CMS\Core\Page\PageRenderer');
    }
}
